package estructuras.listas;

import java.io.Serializable;

/**
 * Interface que debe cumplir cualquier elemento que tenga un identificado nico
 * @author alvar-go
 *
 */
public interface IUnicamenteIdentificado extends Serializable
{
	/**
	 * Devuelve el identificador nico del elemento
	 * @return identificador nico del elemento en forma de String
	 */
	public String darIdentificador();
}
