package estructuras.listas;

import java.io.Serializable;

/**
 * Nodo de una lista sencillamente encadenada
 * @author alvar-go
 * @param <T> tipo de elementos que almacena el nodo
 */
public class NodoListaSencilla <T extends IUnicamenteIdentificado> implements Serializable{
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 60L;

	/**
	 * Elemento almacenado por el nodo
	 */
	private T elem;
	
	/**
	 * El nodo siguiente
	 */

	//TODO declare el atributo para almacenar el nodo siguiente
	
	/**
	 * Crea un nuevo nodo con el elemento que llega por parmetro
	 * post: el nodo siguiente se ha inicializado en null
	 * @param nElem el elemento que debe almacenar el nodo
	 */
	public NodoListaSencilla(T nElem)
	{
		elem = nElem;
		//TODO inicialice el nodo siguiente

	}
	
	/**
	 * Devuelve el nodo siguiente
	 * @return siguiente
	 */
	public NodoListaSencilla<T> darSiguiente()
	{
		//TODO complete segn la documentacin

	}
	
	/**
	 * Cambia el nodo siguiente por el nodo que llega por parmetro
	 * post: 	Se ha cambiado siguiente por el nodo que llega por parmetro
	 * @param nSiguiente el nuevo siguiente.
	 */
	public void cambiarSiguiente(NodoListaSencilla<T> nSiguiente)
	{
		//TODO complete segn la documentacin

	}
	
	/**
	 * Deuvleve el elemento almacenado por el nodo
	 * @return elem
	 */
	public T darElemento()
	{
		return elem;
	}


}
