package uniandes.cupi2.sitp.mundo;

import java.awt.Color;

/**
 * Clase que representa una ruta alimentadora
 * @author alvar-go
 *
 */
public class Alimentador extends Ruta
{


	/**
	 * Constante de serializacin
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constante para el color que identifica a los alimentadores
	 */
	public final static Color COLOR_ALIMENTADOR = new Color(0,102,51);
	
	public Alimentador()
	{
		super();
		color = COLOR_ALIMENTADOR;
	}

}
