package uniandes.cupi2.sitp.mundo;

import java.awt.Color;

public enum Troncal 
{
	A("A", "Caracas", Color.BLUE),
	B("B", "Norte", Color.GREEN),
	C("C", "Suba", Color.YELLOW),
	D("D", "Calle 80", Color.BLACK),
	E("E", "NQS", Color.CYAN),
	F("F", "Amercias", Color.RED),
	G("G", "Sur", Color.CYAN),
	H("H", "Usme", Color.ORANGE),
	J("J", "Eje ambiental", Color.PINK),
	K("K", "Calle 26", Color.BLACK);
	
	private String letra;
	
	private String nombre;
	
	private Color color;
	
	private Troncal(String nLetra, String nNombre, Color nColor)
	{
		letra = nLetra;
		nombre = nNombre;
		color = nColor;
	}
	
	public String darLetra()
	{
		return letra;
	}
	
	public Color darColor()
	{
		return color;
	}
	
	public String darNombre()
	{
		return nombre;
	}
	
	public String toString()
	{
		return letra + " - " + nombre;
	}
}
