package uniandes.cupi2.sitp.mundo;

import java.awt.Color;

/**
 * Clase que representa una ruta bus urbano
 * @author alvar-go
 *
 */
public class BusUrbano extends Ruta
{
	/**
	 * Constante de serializacin
	 */
	private static final long serialVersionUID = 20L;
	
	/**
	 * Color que identifica a las rutas urbanas
	 */
	public final static Color COLOR_BUS_URBANO = new Color(0, 51, 153);

	/**
	 * Crea una ruta urbana sin elementos asignados
	 */
	public BusUrbano()
	{
		super();
		color = COLOR_BUS_URBANO;
	}

}
