
package uniandes.cupi2.sitp.mundo;

/**
 * Esta excepcin se lanza cuando se presenta un error al leer o escribir el archivo con la informacin del estado del mundo. <br>
 * El mensaje asociado con la excepcin debe describir el problema que se present.
 */
public class PersistenciaException extends Exception
{


    /**
	 * constante de serializacin
	 */
	private static final long serialVersionUID = 1L;

	/**
     * Construye la excepcin con el mensaje que describe el problema.
     * @param pMensaje Mensaje que describe la causa de la excepcin. pMensaje != null.
     */
    public PersistenciaException( String pMensaje )
    {
        super( pMensaje );
    }
}
